Lo strumento Unity Tweak non viene avviato con l'errore "manca lo schema com.canonical.unity.webapps"

65

  

com.canonical.unity.webapps
  Per funzionare correttamente, Unity Tweak Tool ti consiglia di installare i pacchetti necessari

    
posta Muddassir Nazir 18.04.2014 - 19:29

10 risposte

80

Installa il pacchetto unity-webapps-service

    
risposta data Florian Diesch 18.04.2014 - 19:49
18

Solo un modo da riga di comando per fare la risposta di jackyzy823:

mkdir tweak;cd tweak
sudo apt-get download unity-webapps-service
ar xvf *
tar xvf data*
sudo mv usr/share/glib-2.0/schemas/com.canonical.unity.webapps.gschema.xml /usr/share/glib-2.0/schemas/
sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
cd ..; sudo rm -Rf tweak
    
risposta data mchid 28.07.2015 - 12:11
14

Un modo complicato per questo, perché non voglio scaricare così tante dipendenze per unity-webapps-service .

estrai il file com.canonical.unity.webapps.gschema.xml (puoi vederlo in link ) in pacchetto unity-webapps-service , metti questo file su /usr/share/glib-2.0/schemas/ e infine sudo glib-compile-schemas /usr/share/glib-2.0/schemas/ e funziona.

    
risposta data jackyzy823 26.05.2015 - 05:37
10

Soluzione semplice.

Installa solo i pacchetti necessari.

sudo apt-get install unity-webapps-common
    
risposta data Brunno Bettini 01.10.2014 - 16:16
2

Per coloro che hanno ancora bisogno di una soluzione: il problema si verifica se si disinstalla le barre di scorrimento dell'overlay. Per risolvere il problema, installare nuovamente le barre di scorrimento di sovrapposizione (sudo apt-get install overlay-scrollbar) e disabilitarle tramite lo strumento Unity Tweak. (System & gt; scorrimento)

    
risposta data Marcos Jacoby 08.02.2016 - 08:54
1

Semplice ed efficace Tipo

sudo apt-get install unity-webapps-common unity-webapps-service

nel terminale

    
risposta data cgameing 25.04.2015 - 03:22
1

Non ho avuto problemi a installare il servizio webapps e le webapp comuni. Il mio problema esatto era il pacchetto

 com.canonical.unity.FileLens

mancava. Ho letto male lo screenshot in questa domanda e ho impiegato più di mezz'ora a cercare di capire perché anche se il servizio webapps di unità e le applicazioni web comuni sono installati, lo strumento Tweak di unità non funziona. Alla fine ho scoperto che il pacchetto di cui sopra mancava al posto di quello menzionato nello screenshot.

Per risolvere questo errore, installa il pacchetto unity-lens-files

sudo apt-get install unity-lens-files

Questo è tutto. Unity Tweak Tool ora funziona! (Finalmente!)

    
risposta data phoenix 11.10.2016 - 16:37
0

Questo è per (zanna / phoenix) chi commenta Per risolvere "com.canonical.unity.FileLens" FAI QUESTO sudo apt-get install unità-lens-files grazie

Per risolvere "com.canonical.notify.osd" L'ho fatto apt-get install notify-lens FUNZIONA SENZA FILI

    
risposta data night crawler 04.12.2017 - 05:45
0

È necessario utilizzare synaptic. Prova questi:

  1. Installa synaptic: "sudo apt-get install synaptic" nel terminale.
  2. Apri Synaptic dal cruscotto o dal terminale sudo synaptic.
  3. Fai clic su Filtri personalizzati quindi su Pacchetti mancanti mancanti.
  4. Evidenzia tutti e il segno di clic destro per l'installazione
  5. Fai clic su Applica nella barra degli strumenti.
risposta data H.sboui 04.12.2017 - 06:33
-1

L'installazione di unità webapp è impossibile perché le dipendenze sono interrotte a causa dell'incompatibilità con Ubuntu 15.04

    
risposta data Bart 04.10.2015 - 05:33

Leggi altre domande sui tag